org.apache.http.client.protocol

## Class ClientContextConfigurer

- java.lang.Object
- - org.apache.http.client.protocol.ClientContextConfigurer

- All Implemented Interfaces:
    ClientContext

  已过时。
  （4.3）使用`HttpClientContext`

      @Deprecated
      public class ClientContextConfigurer
      extends Object
      implements ClientContext

  配置外观`HttpContext`实例。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.client.protocol.ClientContext

      `AUTH_CACHE, AUTH_SCHEME_PREF, AUTHSCHEME_REGISTRY, COOKIE_ORIGIN, COOKIE_SPEC, COOKIE_STORE, COOKIESPEC_REGISTRY, CREDS_PROVIDER, PROXY_AUTH_STATE, REQUEST_CONFIG, ROUTE, SCHEME_REGISTRY, SOCKET_FACTORY_REGISTRY, TARGET_AUTH_STATE, USER_TOKEN`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ClientContextConfigurer(HttpContext context)` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAuthSchemeRegistry(AuthSchemeRegistry registry)` 已过时。
    `void` | `setCookieSpecRegistry(CookieSpecRegistry registry)` 已过时。
    `void` | `setCookieStore(CookieStore store)` 已过时。
    `void` | `setCredentialsProvider(CredentialsProvider provider)` 已过时。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### ClientContextConfigurer

          public ClientContextConfigurer(HttpContext context)

      已过时。

  - ### 方法详细信息

    - #### setCookieSpecRegistry

          public void setCookieSpecRegistry(CookieSpecRegistry registry)

      已过时。

    - #### setAuthSchemeRegistry

          public void setAuthSchemeRegistry(AuthSchemeRegistry registry)

      已过时。

    - #### setCookieStore

          public void setCookieStore(CookieStore store)

      已过时。

    - #### setCredentialsProvider

          public void setCredentialsProvider(CredentialsProvider provider)

      已过时。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585